cc.funkemunky.api.config.system

## Class Configuration

- java.lang.Object
- - cc.funkemunky.api.config.system.Configuration

    public final class Configuration
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Configuration()`
`Configuration(Configuration defaults)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(java.lang.String path)`
`java.lang.Object` `get(java.lang.String path)`
`<T> T` `get(java.lang.String path, T def)`
`boolean` `getBoolean(java.lang.String path)`
`boolean` `getBoolean(java.lang.String path, boolean def)`
`java.util.List<java.lang.Boolean>` `getBooleanList(java.lang.String path)`
`byte` `getByte(java.lang.String path)`
`byte` `getByte(java.lang.String path, byte def)`
`java.util.List<java.lang.Byte>` `getByteList(java.lang.String path)`
`char` `getChar(java.lang.String path)`
`char` `getChar(java.lang.String path, char def)`
`java.util.List<java.lang.Character>` `getCharList(java.lang.String path)`
`java.lang.Object` `getDefault(java.lang.String path)`
`double` `getDouble(java.lang.String path)`
`double` `getDouble(java.lang.String path, double def)`
`java.util.List<java.lang.Double>` `getDoubleList(java.lang.String path)`
`float` `getFloat(java.lang.String path)`
`float` `getFloat(java.lang.String path, float def)`
`java.util.List<java.lang.Float>` `getFloatList(java.lang.String path)`
`int` `getInt(java.lang.String path)`
`int` `getInt(java.lang.String path, int def)`
`java.util.List<java.lang.Integer>` `getIntList(java.lang.String path)`
`java.util.Collection<java.lang.String>` `getKeys()` Gets keys, not deep by default.
`java.util.List<?>` `getList(java.lang.String path)`
`java.util.List<?>` `getList(java.lang.String path, java.util.List<?> def)`
`long` `getLong(java.lang.String path)`
`long` `getLong(java.lang.String path, long def)`
`java.util.List<java.lang.Long>` `getLongList(java.lang.String path)`
`Configuration` `getSection(java.lang.String path)`
`short` `getShort(java.lang.String path)`
`short` `getShort(java.lang.String path, short def)`
`java.util.List<java.lang.Short>` `getShortList(java.lang.String path)`
`java.lang.String` `getString(java.lang.String path)`
`java.lang.String` `getString(java.lang.String path, java.lang.String def)`
`java.util.List<java.lang.String>` `getStringList(java.lang.String path)`
`void` `set(java.lang.String path, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration()

#### Configuration

    public Configuration(Configuration defaults)

### Method Detail

#### get

    public <T> T get(java.lang.String path,
                     T def)

#### contains

    public boolean contains(java.lang.String path)

#### get

    public java.lang.Object get(java.lang.String path)

#### getDefault

    public java.lang.Object getDefault(java.lang.String path)

#### set

    public void set(java.lang.String path,
                    java.lang.Object value)

#### getSection

    public Configuration getSection(java.lang.String path)

#### getKeys

    public java.util.Collection<java.lang.String> getKeys()

Gets keys, not deep by default.

Returns:
  top level keys for this section

#### getByte

    public byte getByte(java.lang.String path)

#### getByte

    public byte getByte(java.lang.String path,
                        byte def)

#### getByteList

    public java.util.List<java.lang.Byte> getByteList(java.lang.String path)

#### getShort

    public short getShort(java.lang.String path)

#### getShort

    public short getShort(java.lang.String path,
                          short def)

#### getShortList

    public java.util.List<java.lang.Short> getShortList(java.lang.String path)

#### getInt

    public int getInt(java.lang.String path)

#### getInt

    public int getInt(java.lang.String path,
                      int def)

#### getIntList

    public java.util.List<java.lang.Integer> getIntList(java.lang.String path)

#### getLong

    public long getLong(java.lang.String path)

#### getLong

    public long getLong(java.lang.String path,
                        long def)

#### getLongList

    public java.util.List<java.lang.Long> getLongList(java.lang.String path)

#### getFloat

    public float getFloat(java.lang.String path)

#### getFloat

    public float getFloat(java.lang.String path,
                          float def)

#### getFloatList

    public java.util.List<java.lang.Float> getFloatList(java.lang.String path)

#### getDouble

    public double getDouble(java.lang.String path)

#### getDouble

    public double getDouble(java.lang.String path,
                            double def)

#### getDoubleList

    public java.util.List<java.lang.Double> getDoubleList(java.lang.String path)

#### getBoolean

    public boolean getBoolean(java.lang.String path)

#### getBoolean

    public boolean getBoolean(java.lang.String path,
                              boolean def)

#### getBooleanList

    public java.util.List<java.lang.Boolean> getBooleanList(java.lang.String path)

#### getChar

    public char getChar(java.lang.String path)

#### getChar

    public char getChar(java.lang.String path,
                        char def)

#### getCharList

    public java.util.List<java.lang.Character> getCharList(java.lang.String path)

#### getString

    public java.lang.String getString(java.lang.String path)

#### getString

    public java.lang.String getString(java.lang.String path,
                                      java.lang.String def)

#### getStringList

    public java.util.List<java.lang.String> getStringList(java.lang.String path)

#### getList

    public java.util.List<?> getList(java.lang.String path)

#### getList

    public java.util.List<?> getList(java.lang.String path,
                                     java.util.List<?> def)